Bug 63677 - Error mailing to local users if username contains uppercase chars.
Error mailing to local users if username contains uppercase chars.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-17 08:11 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-15 06:09:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-17 08:11:46 EDT
Description of Problem:
If I mail to a local user that has caps in the username like "Freaks", the mail 
program gives the error "Freaks... User unknown", even if Freaks is a valid 
system user.  When using usernames that dont contain uppercase characters, 
this error doesn't occur.

Version-Release number of selected component (if applicable):
8.11.6-2.7.1

How Reproducible:
Create a user with uppercase characters and try to mail him (using "mail 
Testuser")

Actual Results:
The folowing error: 
"Freaks... User unknown
/root/dead.letter... Saved message in /root/dead.letter"


Additional Information:
Comment 1 Need Real Name 2002-07-13 14:17:05 EDT
i have the same Problem
Comment 2 Thomas Woerner 2004-01-15 06:09:43 EST
I am sorry this problem can not be solved. You should only generate
accounts with lowercase characters. 

Example: You are having two users: Freak and freak. Who should get the
emails for "fReAk@localhost"? 

Email addresses are case-insensitive, but logins are case-sensitive.

Note You need to log in before you can comment on or make changes to this bug.